petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetMaxNonlinearStepFailures

Sets the maximum number of unsuccessful steps attempted by the nonlinear solver before it gives up.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetMaxNonlinearStepFailures(SNES snes, PetscInt maxFails)

Not Collective

### Input Parameters

| snes | - SNES context
| maxFails | - maximum of unsuccessful steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(), SNESGetLinearSolveFailures(),
SNESGetMaxNonlinearStepFailures(), SNESGetNonlinearStepFailures()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages